Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class SSPCON

    java.lang.Object
      org.netlib.lapack.SSPCON

    public class SSPCON

extends java.lang.Object

    SSPCON is a simplified interface to the JLAPACK routine sspcon.
    This interface converts Java-style 2D row-major arrays into
    the 1D column-major linearized arrays expected by the lower
    level JLAPACK routines.  Using this interface also allows you
    to omit offset and leading dimension arguments.  However, because
    of these conversions, these routines will be slower than the low
    level ones.  Following is the description from the original Fortran
    source.  Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  SSPCON estimates the reciprocal of the condition number (in the
     *  1-norm) of a real symmetric packed matrix A using the factorization
     *  A = U*D*U**T or A = L*D*L**T computed by SSPTRF.
     *
     *  An estimate is obtained for norm(inv(A)), and the reciprocal of the
     *  condition number is computed as RCOND = 1 / (ANORM * norm(inv(A))).
     *
     *  Arguments
     *  =========
     *
     *  UPLO    (input) CHARACTER*1
     *          Specifies whether the details of the factorization are stored
     *          as an upper or lower triangular matrix.
     *          = 'U':  Upper triangular, form is A = U*D*U**T;
     *          = 'L':  Lower triangular, form is A = L*D*L**T.
     *
     *  N       (input) INTEGER
     *          The order of the matrix A.  N >= 0.
     *
     *  AP      (input) REAL array, dimension (N*(N+1)/2)
     *          The block diagonal matrix D and the multipliers used to
     *          obtain the factor U or L as computed by SSPTRF, stored as a
     *          packed triangular matrix.
     *
     *  IPIV    (input) INTEGER array, dimension (N)
     *          Details of the interchanges and the block structure of D
     *          as determined by SSPTRF.
     *
     *  ANORM   (input) REAL
     *          The 1-norm of the original matrix A.
     *
     *  RCOND   (output) REAL
     *          The reciprocal of the condition number of the matrix A,
     *          computed as RCOND = 1/(ANORM * AINVNM), where AINVNM is an
     *          estimate of the 1-norm of inv(A) computed in this routine.
     *
     *  WORK    (workspace) REAL array, dimension (2*N)
     *
     *  IWORK    (workspace) INTEGER array, dimension (N)
     *
     *  INFO    (output) INTEGER
     *          = 0:  successful exit
     *          < 0:  if INFO = -i, the i-th argument had an illegal value
     *
     *  =====================================================================
     *
     *     .. Parameters ..

Constructor Summary
`SSPCON()`

Method Summary
`static void` | `SSPCON(java.lang.String uplo, int n, float[] ap, int[] ipiv, float anorm, floatW rcond, float[] work, int[] iwork, intW info)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SSPCON

    public SSPCON()

Method Detail

### SSPCON

    public static void SSPCON(java.lang.String uplo,
                              int n,
                              float[] ap,
                              int[] ipiv,
                              float anorm,
                              floatW rcond,
                              float[] work,
                              int[] iwork,
                              intW info)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD